%define prever beta5
Name:           gaim-rhythmbox
Version:        2.0
Release:        0.5.%{prever}%{?dist}
Summary:        Rhythmbox plugin for GAIM

Group:          Applications/Internet
License:        GPL
URL:            http://jon.oberheide.org/projects/gaim-rhythmbox/
Source0:        http://jon.oberheide.org/projects/gaim-rhythmbox/downloads/gaim-rhythmbox-%{version}%{prever}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gaim-devel
BuildRequires:  gtk2-devel
BuildRequires:  dbus-glib-devel dbus-devel
Requires:       gaim rhythmbox

%description
The Gaim-Rhythmbox plugin will automatically update your Gaim user and
status info with the currently playing music in Rhythmbox. If the
artist and title are known, it will also attempt to create a link to
the song's lyrics by using Google's "I'm Feeling Lucky"
feature. Gaim-Rhythmbox will replace %rb in your user info and status
message with the song information.


%prep
%setup -q -n %{name}-%{version}%{?prever}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove .la file
rm $RPM_BUILD_ROOT/%{_libdir}/gaim/gaim-rhythmbox.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/gaim/gaim-rhythmbox.so


%changelog
* Sat Jan  6 2007 Michel Salim <michel.salim@gmail.com> 2.0-0.5.beta5
- Update to beta5

* Fri Nov  3 2006 Michel Salim <michel.salim@gmail.com> 2.0-0.4.beta4
- Update to beta4

* Thu Nov  2 2006 Michel Salim <michel.salim@gmail.com> 2.0-0.3.beta3
- Tidy up prever use, description field, and add files to documentation

* Thu Nov  2 2006 Michel Salim <michel.salim@gmail.com> 2.0-0.2.beta3
- Add missing BuildRequires

* Sat Oct 28 2006 Michel Salim <michel.salim@gmail.com> 2.0-0.1.beta3
- Initial package
